KJS5(1)

NOME
kjs5 - Interpretador compatível com ECMAScript para o KDE

SINTAXE

kjs5 [ | [--help] | [-help] | [-h] ] [ | [--version] | [-version] | [-v] ] [ | [-einstrução] ] [ | programa ]

DESCRIÇÃO

O kjs é o motor de ECMAScript/JavaScript para o KDE.

OPÇÕES DA APLICAÇÃO

--help,-help,-h
    Mostra os comandos para usar o kjs5.

--version,-version,-v
    Mostra a versão do kjs5.

-e instrução
    Executa a instrução e sai. Por exemplo:

        kjs5 -e "print('olá mundo')"

programa
    Executa as instruçẽos incluídas no ficheiro programa.

UTILIZAÇÃO

O kjs5 ficheiro, como em muitos outros interpretadores, quando é chamado sem parâmetros, usa um editor em linha de comandos para introduzir instruções, mostrando a mensagem

    JS
    >

. Para sair desse editor, escreva quit() ou carregue em Ctrl+D.

VEJA TAMBÉM

kjscmd5(1)

PROBLEMAS

Existem provavelmente diversos erros. Use o sistema de gestão de erros do KDE[1] para os comunicar.

AUTOR

Harri Porten <porten@kde.org>
    Autor.

NOTAS

1.  sistema de gestão de erros do KDE
    http://bugs.kde.org